# getAsyncRequestInfo

Retrieve the details about all the calls related to the async UID passed

Endpoint: GET /api/v2/getAsyncRequestInfo
Version: 2.1.0
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    apiKey in header apikey

## Query parameters:

  - `uId` (string, required)
    Unique id of the request to look for, supplied by [pushAsyncCall](./../service/pushasynccall)

## Response 200:

  - `200` (unknown)
    Request success response

## Response 200 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `create_date` (string)
    Date the request was created.
*If the call was started using the [service-asyncall](./../app/serviceasyncall) API without the `noDel` parameter set to `1`, this information is not available.*

  - `expire_date` (string)
    Expiration date of the request
*If the call was started using the [service-asyncall](./../app/serviceasyncall) API without the `noDel` parameter set to `1`, this information is not available.*

  - `customer_name` (string)
    Customer name

  - `customer_surname` (string)
    Customer surname

  - `customer_email` (string)
    Customer email

  - `calls` (array)
    List of calls related to the async UID

  - `calls.start_date` (string)
    Date the call was started

  - `calls.answer_date` (string)
    Date the call was answered by an operator

  - `calls.id` (string)
    ID of the videoID related to the provided uId (only present if the call as been answered)

  - `calls.end_date` (string)
    Date the call was closed

  - `calls.status` (string)
    Status of the call
- `N` Closed succesfully
- `A` Aborted by operator
- `K` System KO
- `S` Suspended
- `ACTIVE` Still running
- `EXPIRED` Expired (no one answered)
- `CANCELLED` Cancelled by user
    Enum: "N", "A", "K", "S", "ACTIVE", "EXPIRED", "CANCELLED"

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

